Update Payment Method
curl --request PUT \
--url https://api.sellauth.com/v1/shops/{shopId}/payment-methods/{paymentMethodId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "NMI",
"name": "asyzwszwtxpeqqi",
"checkout_name": "kymwkiinfowtzmi",
"icon_image_id": 12,
"label": "asyzwszwtxpeqqi",
"fixed_fee": 10,
"percentage_fee": 24,
"min_amount": 12,
"max_amount": 22,
"currency_override": "ki",
"hide_powered_by": true,
"is_active": true,
"settings": null,
"password": "Usi|L@vHT",
"otp": "lowy",
"tfa_code": "uffsz",
"remember_mfa": false
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/payment-methods/{paymentMethodId}"
payload = {
"type": "NMI",
"name": "asyzwszwtxpeqqi",
"checkout_name": "kymwkiinfowtzmi",
"icon_image_id": 12,
"label": "asyzwszwtxpeqqi",
"fixed_fee": 10,
"percentage_fee": 24,
"min_amount": 12,
"max_amount": 22,
"currency_override": "ki",
"hide_powered_by": True,
"is_active": True,
"settings": None,
"password": "Usi|L@vHT",
"otp": "lowy",
"tfa_code": "uffsz",
"remember_mfa": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'NMI',
name: 'asyzwszwtxpeqqi',
checkout_name: 'kymwkiinfowtzmi',
icon_image_id: 12,
label: 'asyzwszwtxpeqqi',
fixed_fee: 10,
percentage_fee: 24,
min_amount: 12,
max_amount: 22,
currency_override: 'ki',
hide_powered_by: true,
is_active: true,
settings: null,
password: 'Usi|L@vHT',
otp: 'lowy',
tfa_code: 'uffsz',
remember_mfa: false
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/payment-methods/{paymentMethodId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Payment Methods
Update Payment Method
Updates a payment method.
PUT
/
v1
/
shops
/
{shopId}
/
payment-methods
/
{paymentMethodId}
Update Payment Method
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Path Parameters
The shop ID.
The payment method ID.
Body
application/json
Available options:
CUSTOMERBALANCE, BTC, LTC, ETH, ETH_USDT, ETH_USDC, SOL, SOL_USDT, SOL_USDC, PAYPAL, STRIPE, SQUARE, CASHAPP, VENMO, ZELLE, REWARBLE, PAYPALFF, AMAZONPS, SUMUP, MOLLIE, SKRILL, SKRILLP2P, AUTHORIZENET, REVOLUTBUSINESS, LEMONSQUEEZY, NMI, OVERPAY, MONEI, RAZORPAY, MERCADOPAGO, PANDABASE, VENPAYR, MISTICPAY, OVGC, WHOP, ADYEN, DODOPAYMENTS, PAYMONGO, SHOPIFY, MANUAL Example:
"NMI"
Must not be greater than 100 characters.
Example:
"asyzwszwtxpeqqi"
Must not be greater than 100 characters.
Example:
"kymwkiinfowtzmi"
Example:
12
Must not be greater than 100 characters.
Example:
"asyzwszwtxpeqqi"
Must be at least -100. Must not be greater than 100.
Example:
10
Must be at least -50. Must not be greater than 50.
Example:
24
Must be at least 0. Must not be greater than 999999.
Example:
12
Must be at least 0. Must not be greater than 999999.
Example:
22
Must not be greater than 3 characters.
Example:
"ki"
Example:
true
Example:
true
Example:
null
Must not be greater than 255 characters.
Example:
"Usi|L@vHT"
Must not be greater than 6 characters.
Example:
"lowy"
Must not be greater than 8 characters.
Example:
"uffsz"
Example:
false
Response
200 - undefined